<?php
namespace Smi\Model;

use Think\Model;

header("Content-type:text/html;charset=utf-8");
class SetStoreModel extends Model
{
    /**
     * 保存表单
     * @return boolean
     */
    public function saveForm()
    {
        $id = $_POST['id'];
        // 限定 有效半径 临界值
        $radius = I("radius");
        if ($radius < 0) {
            alertMsg("有效半径不应小于0");
        } elseif (!is_numeric($radius) && $radius) {
            alertMsg("有效半径应为数字");
        } else {
            $data['radius'] = intval($radius);
        }
        // $fee = I("fee");
        // if (is_numeric($fee) && $fee > 0) {
        //     $data['fee'] = $fee;
        // }
        $fee1 = I("fee1");
        $fee2 = I("fee2");
        $array = array();
        for ($i=0,$len=count($fee1);$i<$len;$i++) {
            if ($fee1[$i]) {
                $array[] = array(
                    "money" => $fee1[$i],
                    "days" => $fee2[$i]
                );
            }
        }
        $data['fee'] = serialize($array);
        if ($id) {
            $result = $this->where("`id`={$id}")->save($data);
        } else {
            $result = $this->add($data);
        }
        if ($result) {
            return true;
        } else {
            return false;
        }
    }
}